#ifndef _H_RED_DISPATCHER
#define _H_RED_DISPATCHER


struct RedDispatcher *red_dispatcher_init(QXLInterface *qxl_interface);

void red_dispatcher_set_mm_time(uint32_t);
void red_dispatcher_on_ic_change();
void red_dispatcher_on_sv_change();
void red_dispatcher_set_mouse_mode(uint32_t mode);
int red_dispatcher_count();
int red_dispatcher_add_renderer(const char *name);
uint32_t red_dispatcher_qxl_ram_size();
int red_dispatcher_qxl_count();
#endif

